Bug 507475 - Review Request: skanlite - Scanning program
Review Request: skanlite - Scanning program
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
: 479147 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 18:10 EDT by Sven Lankes
Modified: 2009-07-19 06:36 EDT (History)
7 users (show)

See Also:
Fixed In Version: 0.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sven Lankes 2009-06-22 18:10:21 EDT
Spec URL: http://sven.lank.es/Fedora/SPECS/skanlite.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/skanlite-0.3-1.fc11.src.rpm
Description: Skanlite is a light-weight scanning application based on libksane.

rpmlint on the srpm is silent, on the rpm it reports dangling symlinks (also 
see #491247). I don't think that should stop skanlite from entering fedora.
Comment 1 Sven Lankes 2009-06-22 18:11:06 EDT
*** Bug 479147 has been marked as a duplicate of this bug. ***
Comment 2 Sven Lankes 2009-06-22 18:13:02 EDT
The specfile was actually done by Teemu Rytilahti who seems to have lost 
interest in the package (see bz 479147).

I have only fixed the license tag and updated to the latest upstream release.
Comment 3 Christoph Wickert 2009-06-22 19:55:16 EDT
REVIEW FOR 1afd8e1de03fda607c04fcded9ece2c0  skanlite-0.3-1.fc11.src.rpm

FIX - MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint Downloads/skanlite-*
skanlite.x86_64: W: dangling-symlink /usr/share/doc/HTML/sv/skanlite/common /usr/share/doc/HTML/sv//common
skanlite.x86_64: W: dangling-symlink /usr/share/doc/HTML/uk/skanlite/common /usr/share/doc/HTML/uk//common
skanlite.x86_64: W: dangling-symlink /usr/share/doc/HTML/de/skanlite/common /usr/share/doc/HTML/de//common
skanlite.x86_64: W: dangling-symlink /usr/share/doc/HTML/pt/skanlite/common /usr/share/doc/HTML/pt//common
skanlite.x86_64: W: dangling-symlink /usr/share/doc/HTML/en/skanlite/common /usr/share/doc/HTML/en/common

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines: GPLv2 or GPLv3
OK - MUST: The License field in the package spec file matches the actual license:
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 4cd852d5be3c27a0ac9002c704b019bb
OK - MUST: The package successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
OK - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
OK - MUST: All filenames in rpm packages are valid UTF-8.



SHOULD Items:
N//A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures, see http://koji.fedoraproject.org/koji/taskinfo?taskID=1431041
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - Latest version packaged
OK - RPM_OPT_FLAGS not honored
FIX - Timestamps are not preserved


Issues:
- Use %global instead of %define, see https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define
- Timestamp of Source0 does not match, see
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
- Do not use macros for %{__rm}, simply rm is ok
- Add TODO to %doc
- Remove --vendor="" from desktop-file-install
- Mark the docs as %doc (although rpm should be smart enough to do this automatically).
- Remove the empty common symlinks or make them point to something that is actually there, as Mamoru already said in bug 479147.


Notes:
- The summary is a little weak. How about "Lightweight scanning program for KDE"?
- Use wildcarts for the Languages in the documentation:
  %{_kde4_docdir}/HTML/*/skanlite/
- The Help button does not work because khelpcenter is not pulled in by the deps. This is ok, we are not requiring yelp for Gnome apps ether.


Please fix these issues and I will approve the package.
Comment 4 Susi Lehtola 2009-06-23 05:48:53 EDT
(In reply to comment #3)
> - Do not use macros for %{__rm}, simply rm is ok

This is a legal use of macros (although from a style point of view I agree with Christoph).
Comment 5 Sven Lankes 2009-06-23 18:13:54 EDT
(In reply to comment #3)

Thanks for looking at the package.

An updated package is availabe at:

Spec URL: http://sven.lank.es/Fedora/SPECS/skanlite.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/skanlite-0.3-2.fc11.src.rpm

> - Use %global instead of %define, see
> https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define

Fixed

> - Timestamp of Source0 does not match, see
> https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

Fixed

> - Do not use macros for %{__rm}, simply rm is ok

Fixed

> - Add TODO to %doc

Not sure it adds any value for a user but still: Fixed

> - Remove --vendor="" from desktop-file-install

Fixed

> - Mark the docs as %doc (although rpm should be smart enough to do this
> automatically).

Fixed

> - Remove the empty common symlinks or make them point to something that is
> actually there, as Mamoru already said in bug 479147.

Not fixed - please see bug 491247. This is a general issue for all
kde-packages - my /usr/share/HTML-directory has 117 dangling common-symlinks
currently.

The only "valid" fix I can think of here is removing the HTML-Documentation
altogether and I would rather not do that.

> Notes:
> - The summary is a little weak. How about "Lightweight scanning program for
> KDE"?

Hmm - I've added lightweight. Adding "for KDE" doesn't really add any value to
the summary IMO.

> - Use wildcarts for the Languages in the documentation:
>   %{_kde4_docdir}/HTML/*/skanlite/

Done.
Comment 6 Christoph Wickert 2009-06-28 10:25:51 EDT
(In reply to comment #5)
> > - Remove the empty common symlinks or make them point to something that is
> > actually there, as Mamoru already said in bug 479147.
> 
> Not fixed - please see bug 491247. 

My bad, I did not look into the bug.

This is a general issue for all
> kde-packages - my /usr/share/HTML-directory has 117 dangling common-symlinks
> currently.

Yeah, I knew there is a reason I was not reviewing KDE stuff...

> Hmm - I've added lightweight. Adding "for KDE" doesn't really add any value to
> the summary IMO.

Ok for me. No more issues, the package APPROVED.
Comment 7 Sven Lankes 2009-06-29 15:33:15 EDT
New Package CVS Request
=======================
Package Name: skanlite
Short Description: Lightweight scanning program
Owners: slankes
Branches: F-10 F-11
InitialCC:
Comment 8 Jason Tibbitts 2009-06-30 19:25:23 EDT
CVS done.
Comment 9 Fedora Update System 2009-07-01 16:54:23 EDT
skanlite-0.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/skanlite-0.3-2.fc11
Comment 10 Fedora Update System 2009-07-03 15:43:33 EDT
skanlite-0.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update skanlite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7351
Comment 11 Fedora Update System 2009-07-19 06:36:35 EDT
skanlite-0.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.